visual_m_media_manager_start:
    pattern: /{config}
    defaults: { _controller: FrameworkBundle:Redirect:redirect, route: visual_m_media_manager_folder_index, permanent: false }
    
visual_m_media_manager_folder_index:
    pattern: /folder/{config}
    defaults:  { _controller: visual_m_media_manager.controller.folder:indexAction }

visual_m_media_manager_file_view:
    pattern: /file/view/{config}
    defaults:  { _controller: visual_m_media_manager.controller.file:viewAction }

visual_m_media_manager_file_download:
    pattern: /file/download/{config}
    defaults:  { _controller: visual_m_media_manager.controller.file:downloadAction }
    
visual_m_media_manager_ajax_rename:
    pattern: /ajax/rename/{config}
    defaults:  { _controller: visual_m_media_manager.controller.ajax:renameAction }
    methods: [ POST ]
    
visual_m_media_manager_ajax_delete:
    pattern: /ajax/delete/{config}
    defaults:  { _controller: visual_m_media_manager.controller.ajax:deleteAction }
    methods: [ POST ]    
    
visual_m_media_manager_ajax_add_folder:
    pattern: /ajax/add_folder/{config}
    defaults:  { _controller: visual_m_media_manager.controller.ajax:addFolderAction }
    methods: [ POST ]        
    
visual_m_media_manager_ajax_upload:
    pattern: /ajax/upload/{config}
    defaults:  { _controller: visual_m_media_manager.controller.ajax:uploadAction }
    